petsc-3.12.1 2019-10-22
Report Typos and Errors

# PetscViewerFileSetMode

Sets the type of file to be open

### Synopsis

    #include "petscviewer.h"
    PetscErrorCode PetscViewerFileSetMode(PetscViewer viewer,PetscFileMode type)

Logically Collective on PetscViewer

### Input Parameters

| viewer | - the PetscViewer; must be a a PETSCVIEWERBINARY, PETSCVIEWERMATLAB, PETSCVIEWERHDF5, or PETSCVIEWERASCII PetscViewer
| type | - type of file

       FILE_MODE_WRITE - create new file for output

       FILE_MODE_READ - open existing file for input

       FILE_MODE_APPEND - open existing file for output

### See Also

PetscViewerFileSetMode(), PetscViewerCreate(), PetscViewerSetType(), PetscViewerBinaryOpen()

### Level

advanced

### Location

src/sys/classes/viewer/impls/binary/binv.c

### Examples

src/sys/classes/viewer/examples/tutorials/ex1.c.html
src/mat/examples/tutorials/ex10.c.html
src/dm/impls/plex/examples/tutorials/ex5.c.html
src/dm/examples/tutorials/ex15.c.html
src/dm/examples/tutorials/ex20.c.html
src/ksp/ksp/examples/tutorials/ex43.c.html
src/ksp/ksp/examples/tutorials/ex70.c.html
src/snes/examples/tutorials/ex12.c.html
src/ts/examples/tutorials/ex11.c.html
src/ts/examples/tutorials/ex48.c.html

### Implementations

PetscViewerFileSetMode_ADIOS in src/sys/classes/viewer/impls/adios/adios.c
PetscViewerFileSetMode_ADIOS2 in src/sys/classes/viewer/impls/adios2/adios2.c
PetscViewerFileSetMode_ASCII in src/sys/classes/viewer/impls/ascii/filev.c
PetscViewerFileSetMode_Binary in src/sys/classes/viewer/impls/binary/binv.c
PetscViewerFileSetMode_HDF5 in src/sys/classes/viewer/impls/hdf5/hdf5v.c
PetscViewerFileSetMode_Matlab in src/sys/classes/viewer/impls/matlab/vmatlab.c
PetscViewerFileSetMode_VTK in src/sys/classes/viewer/impls/vtk/vtkv.c
Index of all Viewer routines
Table of Contents for all manual pages
Index of all manual pages